---

- hosts: all
  become: True
  roles:
    - role: bootstrap-common
    - role: epel-repo

  tasks:
    - name: install python-pymysql on Debian
      package:
        name: python-pymysql
        state: present
      when: ansible_os_family == 'Debian'

    - name: Add IP address of all hosts to all hosts files
      lineinfile:
        dest: /etc/hosts
        regexp: '.*{{ item }}$'
        line: "{{ hostvars[item].ansible_facts.default_ipv4.address }} {{item}}"
        state: present
      when: hostvars[item].ansible_facts.default_ipv4.address is defined
      with_items: "{{ groups.all }}"

